/***************************************************
//Web: http://www.buydisplay.com
EastRising Technology Co.,LTD
Examples for ER-OLEDM1602-5
Display is Hardward I2C 2-Wire I2C Interface 
Tested and worked with: 
Works with Raspberry pi
****************************************************/

#include <bcm2835.h>
#include <stdio.h>
#include <time.h>
#include "us2066.h"

char value[10] = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9'};
int main(int argc, char **argv)
{ uint8_t Display_direction=0; 
    time_t now;
    struct tm *timenow;
    if(!bcm2835_init())
    {
        return -1;
    }
    printf("OLED begin\r\n");
    us2066_begin();



    er_oled_clear();
    er_oled_string(3, 0, "EastRising",Display_direction);
    er_oled_string(1, 1, "buydisplay.com",Display_direction);
    bcm2835_delay(3000);

    Display_direction=1;   
    er_oled_clear();
    er_oled_string(1, 0, "Rotate display",Display_direction);
    er_oled_string(1, 1, "buydisplay.com",Display_direction);
    bcm2835_delay(3000);
 
    Display_direction=0;  
    er_oled_clear();
    er_oled_string(0, 0, "0123456789abcdef",Display_direction);
    er_oled_string(0, 1, "ABCDEF0123456789",Display_direction); 
    bcm2835_delay(2000);  
    Display_direction=1;  
    er_oled_clear();
    er_oled_string(0, 0, "0123456789abcdef",Display_direction);
    er_oled_string(0, 1, "ABCDEF0123456789",Display_direction); 
    bcm2835_delay(2000);   
 
 
    Display_direction=0;  
    er_oled_clear();  
    er_oled_string(2, 0,"2019",Display_direction);  
    er_oled_char(6, 0,0x04,Display_direction);
    er_oled_string(7, 0,"08",Display_direction);
    er_oled_char(9, 0,0x05,Display_direction);
    er_oled_string(10, 0,"28",Display_direction);
    er_oled_char(12, 0,0x06,Display_direction); 
    er_oled_string(4, 1, "12:34:56",Display_direction);   
    bcm2835_delay(2000);  
  
    Display_direction=1;     
    er_oled_clear();  
    er_oled_string(2, 0,"2019",Display_direction);  
    er_oled_char(6, 0,0x04,Display_direction);
    er_oled_string(7, 0,"08",Display_direction);
    er_oled_char(9, 0,0x05,Display_direction);
    er_oled_string(10, 0,"28",Display_direction);
    er_oled_char(12, 0,0x06,Display_direction); 
    er_oled_string(4, 1, "12:34:56",Display_direction);   
    bcm2835_delay(2000); 

  
    Display_direction=0;    
  
    Write_DDRAM(0x1f);	
    bcm2835_delay(2000); 			 
    Write_DDRAM(0);	
    bcm2835_delay(2000); 	
    Write_DDRAM(1);
    bcm2835_delay(2000); 		
    Write_DDRAM(2);
    bcm2835_delay(2000); 	
    Write_DDRAM(3);
    bcm2835_delay(2000); 	
    Write_DDRAM(4);
    bcm2835_delay(2000); 	
    Write_DDRAM(5);
    bcm2835_delay(2000); 	
    Write_DDRAM(6);
    bcm2835_delay(2000); 	 
    Write_DDRAM(7);
    bcm2835_delay(2000); 	



   er_oled_clear();  
    while(1)
    {
        time(&now);
        timenow = localtime(&now);
  
	
	
        er_oled_string(1, 0, "buydisplay.com",Display_direction); 
     
     



 	er_oled_char(4, 1, value[timenow->tm_hour / 10],Display_direction);
 	er_oled_char(5, 1, value[timenow->tm_hour % 10],Display_direction);
 	er_oled_char(6, 1, ':',Display_direction);
 	er_oled_char(7, 1, value[timenow->tm_min / 10],Display_direction);
 	er_oled_char(8, 1, value[timenow->tm_min % 10],Display_direction);
 	er_oled_char(9, 1, ':',Display_direction);
 	er_oled_char(10, 1, value[timenow->tm_sec / 10],Display_direction);
 	er_oled_char(11, 1, value[timenow->tm_sec % 10],Display_direction);



       
    }
    bcm2835_i2c_end();
    bcm2835_close();
    return 0;
}

